Get a user account
const url = 'https://client-api.abi.ai/user/abi1234';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://client-api.abi.ai/user/abi1234 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The Abi identifier of the user account.
Example
abi1234Responses
Section titled “Responses”User found.
The Abi record representing a person who can use a configured service.
object
The unique identifier Abi assigns to the user account.
An optional identifier from the partner system.
The user’s first name.
The user’s surname.
The user’s email address.
The user’s mobile number including international dialing code (E.164).
The user’s address.
The user’s configured role.
The user’s weight
The unit used for weight.
The user’s national identifier
The user’s date of birth.
The user’s gender where supplied.
The language used to communicate with Abi.
The user’s nationality or country code.
The country where the user lives or is currently located.
The country in which the user was born.
The country in which responding healthcare professionals are licensed.
The partner company recorded in Abi.
The permitted number of associated accounts for an enabled group-account policy.
The date and time at which the user’s subscription starts.
The date and time at which the user’s subscription ends
The recorded Terms and Conditions acceptance value
The recorded Privacy Notice acceptance value
Additional agreed partner metadata for the user.
object
The parent account identifier for a group-account user
The user’s current access status.
Example
{ "id": "abi1234", "uniqueId": "123abc789xyz", "firstName": "Jane", "lastName": "Doe", "email": "janedoe@example.com", "phone": "+441234567890", "address": "123 Main St, Apt 4B", "role": "patient", "weight": 70, "weightUnit": "kg", "nationalId": "IT-12345678", "dateOfBirth": "1994-10-07", "gender": "male", "language": "en", "country": "it", "location": "es", "origin": "gb", "physicianCountry": "es", "partnerName": "Abi", "associatedAccounts": 5, "subscriptionStartDate": "2021-11-17T00:00:00Z", "subscriptionEndDate": "2022-05-31T00:00:00Z", "userStatus": "activeUser"}Request could not be completed.
object
Short machine-readable error code.
Human-readable explanation of the error.
Examplegenerated
{ "code": "example", "message": "example"}